This discussion is archived
1 Reply Latest reply: Sep 24, 2013 9:43 AM by warren_caples RSS

Need simple instructions on how to upgrade Apex Listener from 1.1.X to 2.0.X

warren_caples Newbie
Currently Being Moderated


Can someone just tell me what I have to do to upgrade the listener?  I don't want to have two versions running, or anything like that.  I just want to upgrade it in place, and preferably be able to roll it back if it doesn't work.  The current 1.1.X listener is running right now in WebLogic.  When I follow the instructions in the install guide, it seems like it tries to install a new instance of the listener, and then there are problems with listening on the same port, or something.

Thanks,

-warren

  • 1. Re: Need simple instructions on how to upgrade Apex Listener from 1.1.X to 2.0.X
    warren_caples Newbie
    Currently Being Moderated


    Okay, here's what I did, don't know what part made it work:

    I downloaded and extracted the new listener .zip to a new directory.

    With the current listener (1.1.3) running, I backed up the apex-config.xml file.

    Started a command line (I'm on windows), cd to the new listener's directory, and ran the java -jar apex.war command.

    it said "Migrating existing configuration in <apex-config.xml directory>\apex-config.xml to the latest format,

    Enter 1 to enter passwords for REST... I chose 3 (skip)

    Enter 1 to migrate existing Resource Templates...I chose 2 (skip)

    Enter 1 if you wish to start in standalone mode or 2 to exit...I chose 2 (exit).

    Then I re-named up the apex.war file in my weblogic apex listener's deployment directory.

    Copied the new apex.war file from the new listener extracted directory to the weblogic deployment directory.

    Launched the weblogic console, and updated my apex listener deployment, then activated changes.

    Worked.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points